// GPL
// Author:  Yotam Medini  yotam.medini@gmail.com -- Created: 2006/March/10
#if defined(DEBUG)

#include "dbg.h"
#include <fstream>
#include <iostream>
#include <unistd.h>
#include <stdlib.h>

using namespace std;

ostream&  dbgout()
{
    static uid_t          my_uid = getuid();
    static unsigned long  n_calls = 0;
    static ofstream*      f = 0;
    int                   rc = 0;

    if ((n_calls & 0xfff) == 0)
    {
        delete f;
        if (my_uid == 0)
        {
            rc = system("mv /var/log/alps.log /var/log/alps-old.log");
            f = new ofstream("/var/log/alps.log");
        }
        else
        {
            rc = system("mv /tmp/ualps.log /tmp/ualps-old.log");
            f = new ofstream("/tmp/ualps.log");
        }
        if (rc != 0) { std::cerr << __FILE__ << " system(mv) failed\n"; }
        *f << strnow() << "\n";
        f->flush();
    }
    ++n_calls;
    return *f;
} // dbgout

#endif /* DEBUG */
